Page MenuHomePhabricator

create pk.wikimedia.org and redirect to wikimediapakistan.org
Closed, ResolvedPublic

Description

requested by Saqib from the Pakistan chapter [https://en.wikivoyage.org/wiki/User:Saqib]

create pk.wikimedia.org and redirect it to http://loveforkarachi.org/wp/

< Saqib> i was wondering if is it possible to redirect "pk.wikimedia.org" to a page I created for the chapter?


i talked to Saqib and already created a DNS change to add pk here:

https://gerrit.wikimedia.org/r/#/c/86650/1/templates/wikimedia.org


Version: wmf-deployment
Severity: normal
Whiteboard: aklapper-moreinfo

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 2:27 AM
bzimport set Reference to bz54780.
bzimport added a subscriber: Unknown Object (MLST).

Change 86652 had a related patch set uploaded by Dzahn:
redirect pk.wikimedia.org to wikimediapakistan.org (bug 54780)

https://gerrit.wikimedia.org/r/86652

currently the target website can be accessed at a temporary URL : http://151.252.0.26/~ujgayxfq/

Luis, i boldly added you to this ticket to confirm if we can already add a pk.wikimedia.org redirect to wikimediapakistan.org to the Pakistan chapter which is currently being founded by Saqib or if it needs another step of approval because it is in the state "proposed chapter".

https://meta.wikimedia.org/wiki/Wikimedia_Pakistan

http://www.wikimediapakistan.org/

while uk.wikimedia.org redirect to thier UK chapter website.
it would be great if pk.wikimedia.org be redirect to the meta page : https://meta.wikimedia.org/wiki/Wikimedia_Community_User_Group_Pakistan

(In reply to comment #6)

while uk.wikimedia.org redirect to thier UK chapter website.
it would be great if pk.wikimedia.org be redirect to the meta page :
https://meta.wikimedia.org/wiki/Wikimedia_Community_User_Group_Pakistan

I have uploaded a new patch set to reflect that and redirect to the meta page instead.

added pk.wikimedia.org to DNS, added Apache redirect (to the page on meta for now).

< grrrit-wm> (CR) Dzahn: [C: 2] redirect pk.wikimedia.org to meta community page [operations/apache-config] - https://gerrit.wikimedia.org/r/86652 (owner: Dzahn)

< mutante> !log sync-apache and graceful for pk.wm redirect

< grrrit-wm> (CR) Dzahn: [C: 2] add pk.wikimedia.org for redirect for Pakistan chapter [operations/dns] - https://gerrit.wikimedia.org/r/86650 (owner: Dzahn)

---> http://pk.wikimedia.org/

(In reply to comment #4 by Saqib)

http://wikimediapakistan.org is working now.

The page currently only displays "This Account Has Been Suspended" for me.
Saqib: Is that intentional?

i don't know what went wrong. i will check it.

sorry for late reply. the site has been takes down/closed....

hi andrew, after a long break.
finally our website is up again now. we're purchased a new hosting and currently the site is under development and is using a domain from outside on temporary basis. can you now redirect "pk.wikimedia.org" to there?
you can access the site at http://loveforkarachi.org/wp/

for your information, recently our user group got official recognition as well : https://meta.wikimedia.org/wiki/Affiliations_Committee/Resolutions/Wikimedia_Community_User_Group_Pakistan_-_April_2014

it would be nice if an action could be taken asap because the the domain name "http://loveforkarachi.org/wp/" where currently our site is pointing to, is going for usage on another project..

Not sure if I understand. Cannot ping/traceroute http://wikimediapakistan.org/
"wikimediapakistan.org: Name or service not known"

And I don't understand why http://loveforkarachi.org/wp/ was brought up here (which I cannot reach either). So what is "asap" here?!

Could you clarify?

Saqib,

hello? Is Wikimedia Pakistan still active in this regard? Do you think wikimediapakistan.org will ever work again? Should we close the bug again?

can't find the server at www.wikimediapakistan.org.

Best regards,

Daniel

No reply from Saqib. Closing as INVALID as there seems to be no server and no idea what's going on.

Saqib: Please reopen this ticket if this is still wanted, and after clarifying what the situation is.

ok. guys . sorry for too much troubling but things were not perfect at my side..

now the site is finally up.. and will be working on soon once i get some spare time..

http://loveforkarachi.org/wp/

and www.wikimediapakistan.org is expired already so no more wasting money to buy it again.. right now we have hosted our site on a temporary URL

Saqib raised the priority of this task from Low to Medium.
Saqib set Security to None.
Aklapper lowered the priority of this task from Medium to Low.Jan 9 2015, 3:48 PM
Aklapper added a subscriber: Aklapper.

If there was a reason to reopen this ticket, please state that reason here, and edit the task summary. It still talks about http://www.wikimediapakistan.org/ and that is still down for me.

Soon we are launching some out reach programs in Pakistan so need our website ready , running and shinning.

Temporary URL > http://loveforkarachi.org/wp/

Saqib renamed this task from create pk.wikimedia.org and redirect to wikimediapakistan.org to create pk.wikimedia.org and redirect to http://loveforkarachi.org/wp/.Jan 9 2015, 3:51 PM
Saqib updated the task description. (Show Details)

If it's a temporary URL only, why does it make sense to act here already? Can you please clarify?

the ticket says to create pk.wikimedia.org, but for clarity i want to point out it already exists meanwhile (from the last request) and it currently redirects meta.

http://pk.wikimedia.org/ -->
https://meta.wikimedia.org/wiki/Wikimedia_Community_User_Group_Pakistan

Saqib, want to add something about your plans to https://meta.wikimedia.org/wiki/Talk:Wikimedia_Community_User_Group_Pakistan ? If there was some kind of consensus there about changing the redirect that would be great.

Aklapper changed the task status from Open to Stalled.Feb 12 2015, 12:35 PM

Setting status to stalled as the reporter has not replied (please change the status back to open once you have replied to the last two comments.)

this is an imported ticket and Saqib probably doesn't know about Phabricator yet or has an account here.

could somebody contact him via a talk page or village pump-style place on pk wiki?

maybe communications or community outreach people?

I've sent Saqib a mail this 2016-04-28.

The other group contact has announced a retirement in March 2016.

the suggested target of the redirect doesn't seem to exist anymore:

Iceweasel can't find the server at www.loveforkarachi.org.

site is now at wikimediapakistan.org

please redirect if possible.

Thanks for the update.

This domain wikimediapakistan.org has been registered by Wikimedia CH, and @Saqib is group contact for the Wikimedia Pakistan group, so this request is legit.

Change 286147 had a related patch set uploaded (by Dereckson):
Apache: redirect pk.wikimedia.org to wikimediapakistan.org

https://gerrit.wikimedia.org/r/286147

Dereckson changed the task status from Stalled to Open.Apr 29 2016, 12:31 PM
Dereckson raised the priority of this task from Low to Medium.
Dereckson renamed this task from create pk.wikimedia.org and redirect to http://loveforkarachi.org/wp/ to create pk.wikimedia.org and redirect to wikimediapakistan.org.Apr 29 2016, 6:30 PM

Hi @80686 i assume you are the Manuel from WMCH, is that right?

If so, could you take a look at http://wikimediapakistan.org? It does not seem to work currently
and looks like you are the admin / contact for it.

Thank you !

@80686 The domain wikimediapakistan.org still worked at 11:17 UTC this Wednesday, but doesn't work currently.

Furthermore, a SSL certificate would be a nice addition. Through Let's encrypt perhaps?

LE would be great, if you follow https://letsencrypt.org/getting-started/ with the new "certbot" client it should not take long, it even auto-generates Apache config snippets (or you can turn that off and just get the certs)

Change 286147 merged by Dzahn:
Apache: redirect pk.wikimedia.org to wikimediapakistan.org

https://gerrit.wikimedia.org/r/286147

give it about half an hour from now and this should be resolved

tested that on canary server mw1017 and with apache-fast-test before merge.

http://pk.wikimedia.org
 * 301 Moved Permanently http://wikimediapakistan.org/
http://pk.wikipedia.org
 * 302 Found http://incubator.wikimedia.org/wiki/Wp/pk?goto=mainpage

https://pk.wikimedia.org
 * 301 Moved Permanently http://wikimediapakistan.org/
https://pk.wikipedia.org
 * 302 Found https://incubator.wikimedia.org/wiki/Wp/pk?goto=mainpage

now puppet will apply it on all servers

Dzahn removed Dereckson as the assignee of this task.

I purged pk.wikmedia.org URLs from varnish / caching, so that the old redirect disappeared.

17:33 < mutante> !log purging pk.wikimedia.org from varnish, cache_text eqiad backends
17:53 < mutante> !log purging pk.wikimedia.org from varnish, cache_text non-eqiad backends, then frontends
17:59 < mutante> the pk.wm.org redirect works now